=== debian/control ===
Source: ros-one-ros-control-boilerplate
Section: misc
Priority: optional
Maintainer: Dave Coleman <davetcoleman@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libgflags-dev, ros-one-actionlib, ros-one-catkin, ros-one-cmake-modules, ros-one-control-msgs, ros-one-control-toolbox, ros-one-controller-manager, ros-one-hardware-interface, ros-one-joint-limits-interface, ros-one-roscpp, ros-one-rosparam-shortcuts, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-trajectory-msgs, ros-one-transmission-interface, ros-one-urdf
Homepage: https://github.com/davetcoleman/ros_control_boilerplate
Standards-Version: 3.9.2

Package: ros-one-ros-control-boilerplate
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-actionlib, ros-one-control-msgs, ros-one-control-toolbox, ros-one-controller-manager, ros-one-hardware-interface, ros-one-joint-limits-interface, ros-one-roscpp, ros-one-rosparam-shortcuts, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-trajectory-msgs, ros-one-transmission-interface, ros-one-urdf
Description: Simple simulation interface and template for setting up a hardware interface for ros_control
